



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>iOS文件保存策略</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">iOS文件保存策略</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-04 20:31:19 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<h3>Where You Should Put Your App&rsquo;s Files</h3>
<p>To prevent the syncing and backup processes on iOS devices from taking a long time, be selective about where you place files inside your app&rsquo;s home directory. Apps that store large files can slow down the process of backing up to iTunes or iCloud. These apps can also consume a large amount of a user's available storage, which may encourage the user to delete the app or disable backup of that app's data to iCloud. With this in mind, you should store app data according to the following guidelines:</p>
<ul><li><p>Put user data in the&nbsp;<em>&lt;Application_Home&gt;</em><code>/Documents/</code>. User data is any data that cannot be recreated by your app, such as user documents and other user-generated content.</p></li>
<li><p>Handle support files&mdash;files your application downloads or generates and can recreate as needed&mdash;in one of two ways:</p>
<ul><li><p>In iOS 5.0 and earlier, put support files in the&nbsp;<em>&lt;Application_Home&gt;</em><code>/Library/Caches</code>&nbsp;directory to prevent them from being backed up</p></li>
<li><p>In iOS 5.0.1 and later, put support files in the&nbsp;<em>&lt;Application_Home&gt;</em><code>/Library/Application Support</code>&nbsp;directory and apply the&nbsp;<code>com.apple.MobileBackup</code>&nbsp;extended attribute to them. This attribute prevents the files from being backed up to iTunes or iCloud. If you have a large number of support files, you may store them in a custom subdirectory and apply the extended attribute to just the directory.</p></li></ul></li>
<li><p>Put data cache files in the&nbsp;<em>&lt;Application_Home&gt;</em><code>/Library/Caches</code>&nbsp;directory. Examples of files you should put in this directory include (but are not limited to) database cache files and downloadable content, such as that used by magazine, newspaper, and map apps. Your app should be able to gracefully handle situations where cached data is deleted by the system to free up disk space.</p></li>
<li><p>Put temporary data in the&nbsp;<em>&lt;Application_Home&gt;</em><code>/tmp</code>&nbsp;directory. Temporary data comprises any data that you do not need to persist for an extended period of time. Remember to delete those files when you are done with them so that they do not continue to consume space on the user&rsquo;s device.</p></li></ul>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/495xwve8.html">嵌入式Linux驱动学习之路&lpar;二十七&rpar;字符设备驱动的另一种写法</a>
		</li>
						<li><a href="https://www.batexi.com/a/r93yknw8.html">CozyRSS开发记录22-界面退化</a>
		</li>
						<li><a href="https://www.batexi.com/a/m9606mj9.html">第 31 章 项目实战-PC 端固定布局&lbrack;3&rsqb;</a>
		</li>
						<li><a href="https://www.batexi.com/a/1q22vdoq.html">MIT JOS学习笔记01：环境配置、Boot Loader（2016&period;10&period;22）</a>
		</li>
						<li><a href="https://www.batexi.com/a/1q2gve38.html">FreeRTOS和Ucos在打开关闭中断的区别</a>
		</li>
						<li><a href="https://www.batexi.com/a/1q2e6rwq.html">class&period;forname&lpar;&rpar;用法  转</a>
		</li>
						<li><a href="https://www.batexi.com/a/r93e0z0q.html">memcache 缓存的批量删除方案&lpar;转&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/90vlg6o8.html">&lbrack;TypeScript&rsqb; 0&period;First Example</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2wr6eoq.html">android手机上安装apk时出现解析包错误的一个解决办法</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kp0wg79.html">C语言，变量与内存</a>
		</li>
						<li><a href="https://www.batexi.com/a/9jz1nx08.html">Java Persistence with MyBatis 3&lpar;中国版&rpar; 第五章 与Spring集成</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kpvg069.html">【WPF】用三角形网格构建三维图形</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv1ko4oq.html">配置SSH隧道访问Ubuntu服务器上的MongoDB</a>
		</li>
						<li><a href="https://www.batexi.com/a/qy13jrgq.html">如何优雅地退出python程序</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv257jx9.html">count性能</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdwe11v9.html">laravel的ORM模型的find&lpar;&rpar;，findOrFail&lpar;&rpar;，first&lpar;&rpar;，firstOrFail&lpar;&rpar;，get&lpar;&rpar;，list&lpar;&rpar;，toArray&lpar;&rpar;之间的区别</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4jz4l3q.html">深度学习原理与框架- tf&period;nn&period;conv2d&lowbar;transpose&lpar;反卷积操作&rpar; tf&period;nn&period;conv2d&lowbar;transpose&lpar;进行反卷积操作&rpar; 对于stride的理解存在问题？</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zy2p4x9.html">TCP建立流程 【转】</a>
		</li>
						<li><a href="https://www.batexi.com/a/90rwm7m9.html">node-rsa非对称加密</a>
		</li>
						<li><a href="https://www.batexi.com/a/ql1jkyk9.html">tomcat8&period;0&period;15&plus;spring4&period;1&period;2的集群下共享WebSocketSession&quest;</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/8ojn701q.html">c语言：union，大小端</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdp0m2xq.html">Eclipse用法和技巧十八：减少不必要的输入</a>
			</li>
						<li><a href="https://www.batexi.com/a/qljezo19.html">React&period;js学习</a>
			</li>
						<li><a href="https://www.batexi.com/a/8ojkjpxq.html">QString与char&ast;的相互转换</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4zypg59.html">hdu 4691 Front compression （后缀数组）</a>
			</li>
						<li><a href="https://www.batexi.com/a/9jz0pg08.html">5款帮助简化的HTML5 Audio开发的Javascript类库</a>
			</li>
						<li><a href="https://www.batexi.com/a/90mvppj8.html">php与文件操作</a>
			</li>
						<li><a href="https://www.batexi.com/a/qljmkwe9.html">Ajax - 异步调用后台程序 -JSON</a>
			</li>
						<li><a href="https://www.batexi.com/a/8ey1jrx9.html">SAP自带的创建报表工具</a>
			</li>
						<li><a href="https://www.batexi.com/a/9jz0ln48.html">Android studio导入Eclipse项目，和一些错误的解决</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
